Hex Artifact Content

Artifact fe33f09af3b033a962158f8db2b41204b4bd72da:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 4b  2...exit 1.fi..K
00f0: 49 54 53 48 56 45 52 53 3d 22 30 2e 30 22 0a 42  ITSHVERS="0.0".B
0100: 55 49 4c 44 44 49 52 3d 22 24 28 70 77 64 29 2f  UILDDIR="$(pwd)/
0110: 62 75 69 6c 64 2f 6b 69 74 73 68 2d 24 7b 4b 49  build/kitsh-${KI
0120: 54 53 48 56 45 52 53 7d 22 0a 4f 55 54 44 49 52  TSHVERS}".OUTDIR
0130: 3d 22 24 28 70 77 64 29 2f 6f 75 74 22 0a 49 4e  ="$(pwd)/out".IN
0140: 53 54 44 49 52 3d 22 24 28 70 77 64 29 2f 69 6e  STDIR="$(pwd)/in
0150: 73 74 22 0a 4f 54 48 45 52 50 4b 47 53 44 49 52  st".OTHERPKGSDIR
0160: 3d 22 24 28 70 77 64 29 2f 2e 2e 2f 22 0a 65 78  ="$(pwd)/../".ex
0170: 70 6f 72 74 20 4b 49 54 53 48 56 45 52 53 20 42  port KITSHVERS B
0180: 55 49 4c 44 44 49 52 20 4f 55 54 44 49 52 20 49  UILDDIR OUTDIR I
0190: 4e 53 54 44 49 52 20 4f 54 48 45 52 50 4b 47 53  NSTDIR OTHERPKGS
01a0: 44 49 52 0a 0a 23 20 53 65 74 20 63 6f 6e 66 69  DIR..# Set confi
01b0: 67 75 72 65 20 6f 70 74 69 6f 6e 73 20 66 6f 72  gure options for
01c0: 20 74 68 69 73 20 73 75 62 2d 70 72 6f 6a 65 63   this sub-projec
01d0: 74 0a 4c 44 46 4c 41 47 53 5f 41 44 44 3d 22 24  t.LDFLAGS_ADD="$
01e0: 7b 4b 43 5f 4b 49 54 53 48 5f 4c 44 46 4c 41 47  {KC_KITSH_LDFLAG
01f0: 53 5f 41 44 44 7d 22 0a 4c 44 46 4c 41 47 53 3d  S_ADD}".LDFLAGS=
0200: 22 24 7b 4c 44 46 4c 41 47 53 7d 20 24 7b 4b 43  "${LDFLAGS} ${KC
0210: 5f 4b 49 54 53 48 5f 4c 44 46 4c 41 47 53 7d 22  _KITSH_LDFLAGS}"
0220: 0a 43 46 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47  .CFLAGS="${CFLAG
0230: 53 7d 20 24 7b 4b 43 5f 4b 49 54 53 48 5f 43 46  S} ${KC_KITSH_CF
0240: 4c 41 47 53 7d 22 0a 43 50 50 46 4c 41 47 53 3d  LAGS}".CPPFLAGS=
0250: 22 24 7b 43 50 50 46 4c 41 47 53 7d 20 24 7b 4b  "${CPPFLAGS} ${K
0260: 43 5f 4b 49 54 53 48 5f 43 50 50 46 4c 41 47 53  C_KITSH_CPPFLAGS
0270: 7d 22 0a 4c 49 42 53 3d 22 24 7b 4c 49 42 53 7d  }".LIBS="${LIBS}
0280: 20 24 7b 4b 43 5f 4b 49 54 53 48 5f 4c 49 42 53   ${KC_KITSH_LIBS
0290: 7d 22 0a 65 78 70 6f 72 74 20 4c 44 46 4c 41 47  }".export LDFLAG
02a0: 53 5f 41 44 44 20 4c 44 46 4c 41 47 53 20 43 46  S_ADD LDFLAGS CF
02b0: 4c 41 47 53 20 43 50 50 46 4c 41 47 53 20 4c 49  LAGS CPPFLAGS LI
02c0: 42 53 0a 0a 69 66 20 5b 20 2d 7a 20 22 24 7b 45  BS..if [ -z "${E
02d0: 4e 41 42 4c 45 43 4f 4d 50 52 45 53 53 49 4f 4e  NABLECOMPRESSION
02e0: 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 45 4e 41 42  }" ]; then..ENAB
02f0: 4c 45 43 4f 4d 50 52 45 53 53 49 4f 4e 3d 22 31  LECOMPRESSION="1
0300: 22 0a 66 69 0a 65 78 70 6f 72 74 20 45 4e 41 42  ".fi.export ENAB
0310: 4c 45 43 4f 4d 50 52 45 53 53 49 4f 4e 0a 0a 72  LECOMPRESSION..r
0320: 6d 20 2d 72 66 20 27 62 75 69 6c 64 27 20 27 6f  m -rf 'build' 'o
0330: 75 74 27 20 27 69 6e 73 74 27 0a 6d 6b 64 69 72  ut' 'inst'.mkdir
0340: 20 27 6f 75 74 27 20 27 69 6e 73 74 27 20 7c 7c   'out' 'inst' ||
0350: 20 65 78 69 74 20 31 0a 0a 0a 28 0a 09 63 70 20   exit 1...(..cp 
0360: 2d 72 20 27 62 75 69 6c 64 73 72 63 27 20 27 62  -r 'buildsrc' 'b
0370: 75 69 6c 64 27 0a 09 63 64 20 22 24 7b 42 55 49  uild'..cd "${BUI
0380: 4c 44 44 49 52 7d 22 20 7c 7c 20 65 78 69 74 20  LDDIR}" || exit 
0390: 31 0a 0a 09 23 20 46 69 78 20 75 70 20 61 72 63  1...# Fix up arc
03a0: 68 69 76 65 73 20 74 68 61 74 20 54 63 6c 20 67  hives that Tcl g
03b0: 65 74 73 20 77 72 6f 6e 67 0a 09 66 6f 72 20 61  ets wrong..for a
03c0: 72 63 68 69 76 65 20 69 6e 20 2e 2e 2f 2e 2e 2f  rchive in ../../
03d0: 2e 2e 2f 74 63 6c 2f 69 6e 73 74 2f 6c 69 62 2f  ../tcl/inst/lib/
03e0: 64 64 65 2a 2f 74 63 6c 64 64 65 2a 2e 61 20 2e  dde*/tcldde*.a .
03f0: 2e 2f 2e 2e 2f 2e 2e 2f 74 63 6c 2f 69 6e 73 74  ./../../tcl/inst
0400: 2f 6c 69 62 2f 72 65 67 2a 2f 74 63 6c 72 65 67  /lib/reg*/tclreg
0410: 2a 2e 61 3b 20 64 6f 0a 09 09 69 66 20 5b 20 21  *.a; do...if [ !
0420: 20 2d 66 20 22 24 7b 61 72 63 68 69 76 65 7d 22   -f "${archive}"
0430: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 63 6f 6e 74   ]; then....cont
0440: 69 6e 75 65 0a 09 09 66 69 0a 0a 09 09 72 6d 20  inue...fi....rm 
0450: 2d 72 66 20 5f 5f 54 45 4d 50 5f 5f 0a 09 09 28  -rf __TEMP__...(
0460: 0a 09 09 09 6d 6b 64 69 72 20 5f 5f 54 45 4d 50  ....mkdir __TEMP
0470: 5f 5f 20 7c 7c 20 65 78 69 74 20 31 0a 09 09 09  __ || exit 1....
0480: 63 64 20 5f 5f 54 45 4d 50 5f 5f 0a 0a 09 09 09  cd __TEMP__.....
0490: 23 23 20 50 61 74 63 68 20 61 72 63 68 69 76 65  ## Patch archive
04a0: 20 6e 61 6d 65 0a 09 09 09 61 72 63 68 69 76 65   name....archive
04b0: 3d 22 2e 2e 2f 24 7b 61 72 63 68 69 76 65 7d 22  ="../${archive}"
04c0: 0a 0a 09 09 09 22 24 7b 41 52 3a 2d 61 72 7d 22  ....."${AR:-ar}"
04d0: 20 78 20 22 24 7b 61 72 63 68 69 76 65 7d 22 20   x "${archive}" 
04e0: 7c 7c 20 65 78 69 74 20 31 0a 0a 09 09 09 72 6d  || exit 1.....rm
04f0: 20 2d 66 20 22 24 7b 61 72 63 68 69 76 65 7d 22   -f "${archive}"
0500: 0a 0a 09 09 09 22 24 7b 41 52 3a 2d 61 72 7d 22  ....."${AR:-ar}"
0510: 20 63 72 20 22 24 7b 61 72 63 68 69 76 65 7d 22   cr "${archive}"
0520: 20 2a 2e 6f 20 7c 7c 20 65 78 69 74 20 31 0a 09   *.o || exit 1..
0530: 09 09 22 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e  .."${RANLIB:-ran
0540: 6c 69 62 7d 22 20 22 24 7b 61 72 63 68 69 76 65  lib}" "${archive
0550: 7d 22 20 7c 7c 20 74 72 75 65 0a 09 09 29 0a 09  }" || true...)..
0560: 64 6f 6e 65 0a 0a 09 23 20 43 6c 65 61 6e 75 70  done...# Cleanup
0570: 2c 20 6a 75 73 74 20 69 6e 63 61 73 65 20 74 68  , just incase th
0580: 65 20 69 6e 63 6f 6d 69 6e 67 20 64 69 72 65 63  e incoming direc
0590: 74 6f 72 79 20 77 61 73 20 6e 6f 74 20 70 72 65  tory was not pre
05a0: 2d 63 6c 65 61 6e 65 64 0a 09 24 7b 4d 41 4b 45  -cleaned..${MAKE
05b0: 3a 2d 6d 61 6b 65 7d 20 64 69 73 74 63 6c 65 61  :-make} distclea
05c0: 6e 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f  n >/dev/null 2>/
05d0: 64 65 76 2f 6e 75 6c 6c 0a 09 72 6d 20 2d 72 66  dev/null..rm -rf
05e0: 20 27 73 74 61 72 70 61 63 6b 2e 76 66 73 27 0a   'starpack.vfs'.
05f0: 0a 09 23 20 43 72 65 61 74 65 20 56 46 53 20 64  ..# Create VFS d
0600: 69 72 65 63 74 6f 72 79 0a 09 6d 6b 64 69 72 20  irectory..mkdir 
0610: 22 73 74 61 72 70 61 63 6b 2e 76 66 73 22 0a 09  "starpack.vfs"..
0620: 6d 6b 64 69 72 20 22 73 74 61 72 70 61 63 6b 2e  mkdir "starpack.
0630: 76 66 73 2f 6c 69 62 22 0a 0a 09 23 23 20 43 6f  vfs/lib"...## Co
0640: 70 79 20 69 6e 20 61 6c 6c 20 62 75 69 6c 74 20  py in all built 
0650: 64 69 72 65 63 74 6f 72 69 65 73 0a 09 63 70 20  directories..cp 
0660: 2d 72 20 22 24 7b 4f 54 48 45 52 50 4b 47 53 44  -r "${OTHERPKGSD
0670: 49 52 7d 22 2f 2a 2f 6f 75 74 2f 2a 20 27 73 74  IR}"/*/out/* 'st
0680: 61 72 70 61 63 6b 2e 76 66 73 2f 27 0a 0a 09 23  arpack.vfs/'...#
0690: 23 20 52 65 6e 61 6d 65 20 74 68 65 20 22 76 66  # Rename the "vf
06a0: 73 22 20 70 61 63 6b 61 67 65 20 64 69 72 65 63  s" package direc
06b0: 74 6f 72 79 20 74 6f 20 77 68 61 74 20 22 62 6f  tory to what "bo
06c0: 6f 74 2e 74 63 6c 22 20 65 78 70 65 63 74 73 0a  ot.tcl" expects.
06d0: 09 6d 76 20 27 73 74 61 72 70 61 63 6b 2e 76 66  .mv 'starpack.vf
06e0: 73 2f 6c 69 62 27 2f 76 66 73 2a 20 27 73 74 61  s/lib'/vfs* 'sta
06f0: 72 70 61 63 6b 2e 76 66 73 2f 6c 69 62 2f 76 66  rpack.vfs/lib/vf
0700: 73 27 0a 0a 09 23 23 20 49 6e 73 74 61 6c 6c 20  s'...## Install 
0710: 22 62 6f 6f 74 2e 74 63 6c 22 0a 09 63 70 20 27  "boot.tcl"..cp '
0720: 62 6f 6f 74 2e 74 63 6c 27 20 27 73 74 61 72 70  boot.tcl' 'starp
0730: 61 63 6b 2e 76 66 73 2f 27 0a 0a 09 23 23 20 49  ack.vfs/'...## I
0740: 6e 73 74 61 6c 6c 20 22 74 63 6c 6b 69 74 2e 69  nstall "tclkit.i
0750: 63 6f 22 0a 09 63 70 20 27 74 63 6c 6b 69 74 2e  co"..cp 'tclkit.
0760: 69 63 6f 27 20 27 73 74 61 72 70 61 63 6b 2e 76  ico' 'starpack.v
0770: 66 73 2f 27 0a 0a 09 23 20 46 69 67 75 72 65 20  fs/'...# Figure 
0780: 6f 75 74 20 69 66 20 7a 6c 69 62 20 63 6f 6d 70  out if zlib comp
0790: 69 6c 65 64 20 28 69 66 20 6e 6f 74 2c 20 74 68  iled (if not, th
07a0: 65 20 73 79 73 74 65 6d 20 7a 6c 69 62 20 77 69  e system zlib wi
07b0: 6c 6c 20 62 65 20 75 73 65 64 20 61 6e 64 20 77  ll be used and w
07c0: 65 0a 09 23 20 77 69 6c 6c 20 6e 65 65 64 20 74  e..# will need t
07d0: 6f 20 68 61 76 65 20 74 68 61 74 20 70 72 65 73  o have that pres
07e0: 65 6e 74 29 0a 09 5a 4c 49 42 44 49 52 3d 22 24  ent)..ZLIBDIR="$
07f0: 28 63 64 20 22 24 7b 4f 54 48 45 52 50 4b 47 53  (cd "${OTHERPKGS
0800: 44 49 52 7d 2f 7a 6c 69 62 2f 69 6e 73 74 22 20  DIR}/zlib/inst" 
0810: 32 3e 2f 64 65 76 2f 6e 75 6c 6c 20 26 26 20 70  2>/dev/null && p
0820: 77 64 29 22 0a 09 65 78 70 6f 72 74 20 5a 4c 49  wd)"..export ZLI
0830: 42 44 49 52 0a 09 69 66 20 5b 20 2d 7a 20 22 24  BDIR..if [ -z "$
0840: 7b 5a 4c 49 42 44 49 52 7d 22 20 2d 6f 20 21 20  {ZLIBDIR}" -o ! 
0850: 2d 66 20 22 24 7b 5a 4c 49 42 44 49 52 7d 2f 6c  -f "${ZLIBDIR}/l
0860: 69 62 2f 6c 69 62 7a 2e 61 22 20 5d 3b 20 74 68  ib/libz.a" ]; th
0870: 65 6e 0a 09 09 75 6e 73 65 74 20 5a 4c 49 42 44  en...unset ZLIBD
0880: 49 52 0a 09 66 69 0a 0a 09 23 20 43 6f 70 79 20  IR..fi...# Copy 
0890: 75 73 65 72 20 73 70 65 63 69 66 69 65 64 20 6b  user specified k
08a0: 69 74 2e 72 63 20 61 6e 64 20 74 63 6c 6b 69 74  it.rc and tclkit
08b0: 2e 69 63 6f 20 69 6e 20 74 6f 20 62 75 69 6c 64  .ico in to build
08c0: 20 64 69 72 65 63 74 6f 72 79 2c 20 69 66 20 66   directory, if f
08d0: 6f 75 6e 64 0a 09 63 70 20 22 24 7b 4b 49 54 43  ound..cp "${KITC
08e0: 52 45 41 54 4f 52 5f 49 43 4f 4e 7d 22 20 22 24  REATOR_ICON}" "$
08f0: 7b 42 55 49 4c 44 44 49 52 7d 2f 74 63 6c 6b 69  {BUILDDIR}/tclki
0900: 74 2e 69 63 6f 22 0a 09 63 70 20 22 24 7b 4b 49  t.ico"..cp "${KI
0910: 54 43 52 45 41 54 4f 52 5f 52 43 7d 22 20 22 24  TCREATOR_RC}" "$
0920: 7b 42 55 49 4c 44 44 49 52 7d 2f 6b 69 74 2e 72  {BUILDDIR}/kit.r
0930: 63 22 0a 0a 09 23 20 49 6e 63 6c 75 64 65 20 65  c"...# Include e
0940: 78 74 72 61 20 6f 62 6a 65 63 74 73 20 61 73 20  xtra objects as 
0950: 72 65 71 75 69 72 65 64 0a 09 23 23 20 49 6e 69  required..## Ini
0960: 74 69 61 6c 69 7a 65 20 6c 69 73 74 20 6f 66 20  tialize list of 
0970: 65 78 74 72 61 20 6f 62 6a 65 63 74 73 0a 09 45  extra objects..E
0980: 58 54 52 41 5f 4f 42 4a 53 3d 22 22 0a 09 65 78  XTRA_OBJS=""..ex
0990: 70 6f 72 74 20 45 58 54 52 41 5f 4f 42 4a 53 0a  port EXTRA_OBJS.
09a0: 0a 09 23 23 20 54 6b 20 52 65 73 6f 75 72 63 65  ..## Tk Resource
09b0: 73 20 28 6e 65 65 64 65 64 20 66 6f 72 20 57 69  s (needed for Wi
09c0: 6e 33 32 20 73 75 70 70 6f 72 74 29 20 2d 2d 20  n32 support) -- 
09d0: 72 65 6d 6f 76 65 20 6b 69 74 2d 66 6f 75 6e 64  remove kit-found
09e0: 20 72 65 73 6f 75 72 63 65 73 20 74 6f 20 70 72   resources to pr
09f0: 65 76 65 6e 74 20 74 68 65 20 73 79 6d 62 6f 6c  event the symbol
0a00: 73 20 66 72 6f 6d 20 62 65 69 6e 67 20 69 6e 20  s from being in 
0a10: 63 6f 6e 66 6c 69 63 74 0a 09 54 4b 44 49 52 3d  conflict..TKDIR=
0a20: 22 24 28 63 64 20 22 24 7b 4f 54 48 45 52 50 4b  "$(cd "${OTHERPK
0a30: 47 53 44 49 52 7d 2f 74 6b 2f 69 6e 73 74 22 20  GSDIR}/tk/inst" 
0a40: 26 26 20 70 77 64 29 22 0a 09 54 4b 52 53 52 43  && pwd)"..TKRSRC
0a50: 3d 22 24 7b 54 4b 44 49 52 7d 2f 6c 69 62 2f 74  ="${TKDIR}/lib/t
0a60: 6b 62 61 73 65 2e 72 65 73 2e 6f 22 0a 09 69 66  kbase.res.o"..if
0a70: 20 5b 20 2d 6e 20 22 24 7b 54 4b 44 49 52 7d 22   [ -n "${TKDIR}"
0a80: 20 2d 61 20 2d 66 20 22 24 7b 54 4b 52 53 52 43   -a -f "${TKRSRC
0a90: 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 09 45 58 54  }" ]; then...EXT
0aa0: 52 41 5f 4f 42 4a 53 3d 22 24 7b 45 58 54 52 41  RA_OBJS="${EXTRA
0ab0: 5f 4f 42 4a 53 7d 20 24 7b 54 4b 52 53 52 43 7d  _OBJS} ${TKRSRC}
0ac0: 22 0a 0a 09 09 65 63 68 6f 20 27 20 2a 2a 2a 20  "....echo ' *** 
0ad0: 52 65 6d 6f 76 69 6e 67 20 22 6b 69 74 2e 72 63  Removing "kit.rc
0ae0: 22 20 73 69 6e 63 65 20 77 65 20 68 61 76 65 20  " since we have 
0af0: 54 6b 20 77 69 74 68 20 69 74 73 20 6f 77 6e 20  Tk with its own 
0b00: 72 65 73 6f 75 72 63 65 20 66 69 6c 65 27 0a 0a  resource file'..
0b10: 09 09 72 6d 20 2d 66 20 22 24 7b 42 55 49 4c 44  ..rm -f "${BUILD
0b20: 44 49 52 7d 2f 6b 69 74 2e 72 63 22 0a 09 66 69  DIR}/kit.rc"..fi
0b30: 0a 0a 09 23 20 43 6c 65 61 6e 75 70 0a 09 72 6d  ...# Cleanup..rm
0b40: 20 2d 66 20 6b 69 74 20 6b 69 74 2e 65 78 65 20   -f kit kit.exe 
0b50: 74 63 6c 73 68 20 74 63 6c 73 68 2e 65 78 65 0a  tclsh tclsh.exe.
0b60: 0a 09 23 20 44 65 74 65 72 6d 69 6e 65 20 69 66  ..# Determine if
0b70: 20 74 61 72 67 65 74 20 69 73 20 4b 69 74 44 4c   target is KitDL
0b80: 4c 20 6f 72 20 4b 69 74 53 48 0a 09 69 66 20 5b  L or KitSH..if [
0b90: 20 22 24 7b 4b 49 54 54 41 52 47 45 54 7d 22 20   "${KITTARGET}" 
0ba0: 3d 20 22 6b 69 74 64 6c 6c 22 20 5d 3b 20 74 68  = "kitdll" ]; th
0bb0: 65 6e 0a 09 09 43 4f 4e 46 49 47 55 52 45 45 58  en...CONFIGUREEX
0bc0: 54 52 41 3d 22 24 7b 43 4f 4e 46 49 47 55 52 45  TRA="${CONFIGURE
0bd0: 45 58 54 52 41 7d 20 2d 2d 65 6e 61 62 6c 65 2d  EXTRA} --enable-
0be0: 6b 69 74 64 6c 6c 22 0a 09 66 69 0a 0a 09 23 20  kitdll"..fi...# 
0bf0: 43 6f 6d 70 69 6c 65 20 4b 69 74 0a 09 69 66 20  Compile Kit..if 
0c00: 5b 20 2d 7a 20 22 24 7b 5a 4c 49 42 44 49 52 7d  [ -z "${ZLIBDIR}
0c10: 22 20 5d 3b 20 74 68 65 6e 0a 09 09 65 63 68 6f  " ]; then...echo
0c20: 20 22 52 75 6e 6e 69 6e 67 3a 20 2e 2f 63 6f 6e   "Running: ./con
0c30: 66 69 67 75 72 65 20 2d 2d 77 69 74 68 2d 74 63  figure --with-tc
0c40: 6c 3d 5c 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44  l=\"${TCLCONFIGD
0c50: 49 52 7d 5c 22 20 24 7b 43 4f 4e 46 49 47 55 52  IR}\" ${CONFIGUR
0c60: 45 45 58 54 52 41 7d 22 0a 0a 09 09 2e 2f 63 6f  EEXTRA}"...../co
0c70: 6e 66 69 67 75 72 65 20 2d 2d 77 69 74 68 2d 74  nfigure --with-t
0c80: 63 6c 3d 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44  cl="${TCLCONFIGD
0c90: 49 52 7d 22 20 24 7b 43 4f 4e 46 49 47 55 52 45  IR}" ${CONFIGURE
0ca0: 45 58 54 52 41 7d 0a 09 65 6c 73 65 0a 09 09 65  EXTRA}..else...e
0cb0: 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 2e 2f  cho "Running: ./
0cc0: 63 6f 6e 66 69 67 75 72 65 20 2d 2d 77 69 74 68  configure --with
0cd0: 2d 74 63 6c 3d 5c 22 24 7b 54 43 4c 43 4f 4e 46  -tcl=\"${TCLCONF
0ce0: 49 47 44 49 52 7d 5c 22 20 2d 2d 77 69 74 68 2d  IGDIR}\" --with-
0cf0: 7a 6c 69 62 3d 5c 22 24 7b 5a 4c 49 42 44 49 52  zlib=\"${ZLIBDIR
0d00: 7d 5c 22 20 24 7b 43 4f 4e 46 49 47 55 52 45 45  }\" ${CONFIGUREE
0d10: 58 54 52 41 7d 22 0a 0a 09 09 2e 2f 63 6f 6e 66  XTRA}"...../conf
0d20: 69 67 75 72 65 20 2d 2d 77 69 74 68 2d 74 63 6c  igure --with-tcl
0d30: 3d 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52  ="${TCLCONFIGDIR
0d40: 7d 22 20 2d 2d 77 69 74 68 2d 7a 6c 69 62 3d 22  }" --with-zlib="
0d50: 24 7b 5a 4c 49 42 44 49 52 7d 22 20 24 7b 43 4f  ${ZLIBDIR}" ${CO
0d60: 4e 46 49 47 55 52 45 45 58 54 52 41 7d 0a 09 66  NFIGUREEXTRA}..f
0d70: 69 0a 0a 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e  i...echo "Runnin
0d80: 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d  g: ${MAKE:-make}
0d90: 20 54 43 4c 53 48 5f 4e 41 54 49 56 45 3d 5c 22   TCLSH_NATIVE=\"
0da0: 24 7b 54 43 4c 53 48 5f 4e 41 54 49 56 45 7d 5c  ${TCLSH_NATIVE}\
0db0: 22 22 0a 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65  ""..${MAKE:-make
0dc0: 7d 20 54 43 4c 53 48 5f 4e 41 54 49 56 45 3d 22  } TCLSH_NATIVE="
0dd0: 24 7b 54 43 4c 53 48 5f 4e 41 54 49 56 45 7d 22  ${TCLSH_NATIVE}"
0de0: 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 23 20 53   || exit 1...# S
0df0: 74 72 69 70 20 74 68 65 20 6b 69 74 20 6f 66 20  trip the kit of 
0e00: 61 6c 6c 20 73 79 6d 62 6f 6c 73 2c 20 69 66 20  all symbols, if 
0e10: 70 6f 73 73 69 62 6c 65 0a 09 69 66 20 21 20 65  possible..if ! e
0e20: 63 68 6f 20 22 20 24 7b 43 4f 4e 46 49 47 55 52  cho " ${CONFIGUR
0e30: 45 45 58 54 52 41 7d 20 22 20 7c 20 67 72 65 70  EEXTRA} " | grep
0e40: 20 27 20 2d 2d 65 6e 61 62 6c 65 2d 73 79 6d 62   ' --enable-symb
0e50: 6f 6c 73 20 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c  ols ' >/dev/null
0e60: 3b 20 74 68 65 6e 0a 09 09 22 24 7b 53 54 52 49  ; then..."${STRI
0e70: 50 3a 2d 73 74 72 69 70 7d 22 20 6b 69 74 20 6b  P:-strip}" kit k
0e80: 69 74 2e 65 78 65 20 3e 2f 64 65 76 2f 6e 75 6c  it.exe >/dev/nul
0e90: 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 09 09  l 2>/dev/null...
0ea0: 22 24 7b 53 54 52 49 50 3a 2d 73 74 72 69 70 7d  "${STRIP:-strip}
0eb0: 22 20 2d 67 20 6c 69 62 74 63 6c 6b 69 74 2a 20  " -g libtclkit* 
0ec0: 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65  >/dev/null 2>/de
0ed0: 76 2f 6e 75 6c 6c 0a 09 66 69 0a 0a 09 23 20 46  v/null..fi...# F
0ee0: 69 78 20 75 70 20 57 69 6e 33 32 20 44 4c 4c 20  ix up Win32 DLL 
0ef0: 6e 61 6d 65 73 0a 09 23 23 20 2e 44 4c 4c 2e 41  names..## .DLL.A
0f00: 20 2d 3e 20 2e 4c 49 42 0a 09 66 6f 72 20 66 69   -> .LIB..for fi
0f10: 6c 65 20 69 6e 20 6c 69 62 74 63 6c 6b 69 74 2a  le in libtclkit*
0f20: 2e 64 6c 6c 2e 61 3b 20 64 6f 0a 09 09 69 66 20  .dll.a; do...if 
0f30: 5b 20 21 20 2d 66 20 22 24 7b 66 69 6c 65 7d 22  [ ! -f "${file}"
0f40: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 63 6f 6e 74   ]; then....cont
0f50: 69 6e 75 65 0a 09 09 66 69 0a 0a 09 09 6e 65 77  inue...fi....new
0f60: 66 69 6c 65 3d 22 24 28 62 61 73 65 6e 61 6d 65  file="$(basename
0f70: 20 22 24 7b 66 69 6c 65 7d 22 20 2e 64 6c 6c 2e   "${file}" .dll.
0f80: 61 29 2e 6c 69 62 22 0a 09 09 6d 76 20 22 24 7b  a).lib"...mv "${
0f90: 66 69 6c 65 7d 22 20 22 24 7b 6e 65 77 66 69 6c  file}" "${newfil
0fa0: 65 7d 22 0a 09 64 6f 6e 65 0a 0a 09 23 23 20 2e  e}"..done...## .
0fb0: 44 4c 4c 2e 44 45 46 20 2d 3e 20 2e 44 45 46 0a  DLL.DEF -> .DEF.
0fc0: 09 66 6f 72 20 66 69 6c 65 20 69 6e 20 6c 69 62  .for file in lib
0fd0: 74 63 6c 6b 69 74 2a 2e 64 6c 6c 2e 64 65 66 3b  tclkit*.dll.def;
0fe0: 20 64 6f 0a 09 09 69 66 20 5b 20 21 20 2d 66 20   do...if [ ! -f 
0ff0: 22 24 7b 66 69 6c 65 7d 22 20 5d 3b 20 74 68 65  "${file}" ]; the
1000: 6e 0a 09 09 09 63 6f 6e 74 69 6e 75 65 0a 09 09  n....continue...
1010: 66 69 0a 0a 09 09 6e 65 77 66 69 6c 65 3d 22 24  fi....newfile="$
1020: 28 62 61 73 65 6e 61 6d 65 20 22 24 7b 66 69 6c  (basename "${fil
1030: 65 7d 22 20 2e 64 6c 6c 2e 64 65 66 29 2e 64 65  e}" .dll.def).de
1040: 66 22 0a 09 09 6d 76 20 22 24 7b 66 69 6c 65 7d  f"...mv "${file}
1050: 22 20 22 24 7b 6e 65 77 66 69 6c 65 7d 22 0a 09  " "${newfile}"..
1060: 64 6f 6e 65 0a 0a 09 23 20 44 65 74 65 72 6d 69  done...# Determi
1070: 6e 65 20 6e 61 6d 65 20 6f 66 20 63 72 65 61 74  ne name of creat
1080: 65 64 20 6b 69 74 0a 09 4b 49 54 54 41 52 47 45  ed kit..KITTARGE
1090: 54 5f 4e 41 4d 45 3d 27 5f 5f 65 72 72 6f 72 5f  T_NAME='__error_
10a0: 5f 27 0a 09 69 66 20 5b 20 22 24 7b 4b 49 54 54  _'..if [ "${KITT
10b0: 41 52 47 45 54 7d 22 20 3d 20 22 6b 69 74 64 6c  ARGET}" = "kitdl
10c0: 6c 22 20 5d 3b 20 74 68 65 6e 0a 09 09 23 23 20  l" ]; then...## 
10d0: 46 69 6e 64 20 74 68 65 20 6c 69 62 72 61 72 79  Find the library
10e0: 20 63 72 65 61 74 65 64 0a 09 09 66 6f 72 20 63   created...for c
10f0: 68 6b 6b 69 74 74 61 72 67 65 74 20 69 6e 20 6c  hkkittarget in l
1100: 69 62 74 63 6c 6b 69 74 2a 2e 2a 3b 20 64 6f 0a  ibtclkit*.*; do.
1110: 09 09 09 69 66 20 5b 20 21 20 2d 66 20 22 24 7b  ...if [ ! -f "${
1120: 63 68 6b 6b 69 74 74 61 72 67 65 74 7d 22 20 5d  chkkittarget}" ]
1130: 3b 20 74 68 65 6e 0a 09 09 09 09 63 6f 6e 74 69  ; then.....conti
1140: 6e 75 65 0a 09 09 09 66 69 0a 0a 09 09 09 69 66  nue....fi.....if
1150: 20 65 63 68 6f 20 22 24 7b 63 68 6b 6b 69 74 74   echo "${chkkitt
1160: 61 72 67 65 74 7d 22 20 7c 20 65 67 72 65 70 20  arget}" | egrep 
1170: 27 5c 2e 28 6c 69 62 7c 64 65 66 7c 61 29 24 27  '\.(lib|def|a)$'
1180: 3b 20 74 68 65 6e 0a 09 09 09 09 63 6f 6e 74 69  ; then.....conti
1190: 6e 75 65 0a 09 09 09 66 69 0a 0a 09 09 09 4b 49  nue....fi.....KI
11a0: 54 54 41 52 47 45 54 5f 4e 41 4d 45 3d 22 2e 2f  TTARGET_NAME="./
11b0: 24 7b 63 68 6b 6b 69 74 74 61 72 67 65 74 7d 22  ${chkkittarget}"
11c0: 0a 0a 09 09 09 62 72 65 61 6b 0a 09 09 64 6f 6e  .....break...don
11d0: 65 0a 0a 09 09 23 23 20 41 6c 73 6f 20 63 72 65  e....## Also cre
11e0: 61 74 65 20 61 6e 20 65 78 65 63 75 74 61 62 6c  ate an executabl
11f0: 65 20 6e 61 6d 65 64 20 22 6b 69 74 22 20 73 6f  e named "kit" so
1200: 20 74 68 61 74 20 77 65 20 63 61 6e 20 72 75 6e   that we can run
1210: 20 69 74 20 6c 61 74 65 72 0a 09 09 24 7b 4d 41   it later...${MA
1220: 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 73 68 0a  KE:-make} tclsh.
1230: 09 09 69 66 20 5b 20 2d 66 20 22 74 63 6c 73 68  ..if [ -f "tclsh
1240: 2e 65 78 65 22 20 5d 3b 20 74 68 65 6e 0a 09 09  .exe" ]; then...
1250: 09 6d 76 20 74 63 6c 73 68 2e 65 78 65 20 6b 69  .mv tclsh.exe ki
1260: 74 2e 65 78 65 0a 09 09 65 6c 73 65 0a 09 09 09  t.exe...else....
1270: 6d 76 20 74 63 6c 73 68 20 6b 69 74 0a 09 09 66  mv tclsh kit...f
1280: 69 0a 09 65 6c 73 65 0a 09 09 23 23 20 54 68 65  i..else...## The
1290: 20 65 78 65 63 75 74 61 62 6c 65 20 69 73 20 61   executable is a
12a0: 6c 77 61 79 73 20 6e 61 6d 65 64 20 22 6b 69 74  lways named "kit
12b0: 22 0a 09 09 69 66 20 5b 20 2d 66 20 27 6b 69 74  "...if [ -f 'kit
12c0: 2e 65 78 65 27 20 5d 3b 20 74 68 65 6e 0a 09 09  .exe' ]; then...
12d0: 09 4b 49 54 54 41 52 47 45 54 5f 4e 41 4d 45 3d  .KITTARGET_NAME=
12e0: 27 2e 2f 6b 69 74 2e 65 78 65 27 0a 09 09 65 6c  './kit.exe'...el
12f0: 73 65 0a 09 09 09 4b 49 54 54 41 52 47 45 54 5f  se....KITTARGET_
1300: 4e 41 4d 45 3d 27 2e 2f 6b 69 74 27 0a 09 09 66  NAME='./kit'...f
1310: 69 0a 09 66 69 0a 09 65 78 70 6f 72 74 20 4b 49  i..fi..export KI
1320: 54 54 41 52 47 45 54 5f 4e 41 4d 45 0a 0a 09 69  TTARGET_NAME...i
1330: 66 20 5b 20 22 24 7b 4b 49 54 54 41 52 47 45 54  f [ "${KITTARGET
1340: 5f 4e 41 4d 45 7d 22 20 3d 20 27 5f 5f 65 72 72  _NAME}" = '__err
1350: 6f 72 5f 5f 27 20 5d 3b 20 74 68 65 6e 0a 09 09  or__' ]; then...
1360: 65 63 68 6f 20 22 46 61 69 6c 65 64 20 74 6f 20  echo "Failed to 
1370: 6c 6f 63 61 74 65 20 6b 69 74 20 74 61 72 67 65  locate kit targe
1380: 74 21 22 20 3e 26 32 0a 0a 09 09 65 78 69 74 20  t!" >&2....exit 
1390: 31 0a 09 66 69 0a 0a 09 23 20 49 6e 74 61 6c 6c  1..fi...# Intall
13a0: 20 56 46 53 20 6f 6e 74 6f 20 6b 69 74 0a 09 23   VFS onto kit..#
13b0: 23 20 44 65 74 65 72 6d 69 6e 65 20 69 66 20 77  # Determine if w
13c0: 65 20 68 61 76 65 20 61 20 54 63 6c 6b 69 74 20  e have a Tclkit 
13d0: 74 6f 20 64 6f 20 74 68 69 73 20 77 6f 72 6b 0a  to do this work.
13e0: 09 54 43 4c 4b 49 54 3d 22 24 7b 54 43 4c 4b 49  .TCLKIT="${TCLKI
13f0: 54 3a 2d 74 63 6c 6b 69 74 7d 22 0a 09 69 66 20  T:-tclkit}"..if 
1400: 65 63 68 6f 20 27 65 78 69 74 20 30 27 20 7c 20  echo 'exit 0' | 
1410: 22 24 7b 54 43 4c 4b 49 54 7d 22 20 3e 2f 64 65  "${TCLKIT}" >/de
1420: 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75  v/null 2>/dev/nu
1430: 6c 6c 3b 20 74 68 65 6e 0a 09 09 23 23 20 49 6e  ll; then...## In
1440: 73 74 61 6c 6c 20 75 73 69 6e 67 20 65 78 69 73  stall using exis
1450: 74 69 6e 67 20 54 63 6c 6b 69 74 0a 09 09 23 23  ting Tclkit...##
1460: 23 20 43 61 6c 6c 20 69 6e 73 74 61 6c 6c 65 72  # Call installer
1470: 0a 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67  ...echo "Running
1480: 3a 20 5c 22 24 7b 54 43 4c 4b 49 54 7d 5c 22 20  : \"${TCLKIT}\" 
1490: 69 6e 73 74 61 6c 6c 76 66 73 2e 74 63 6c 20 5c  installvfs.tcl \
14a0: 22 24 7b 4b 49 54 54 41 52 47 45 54 5f 4e 41 4d  "${KITTARGET_NAM
14b0: 45 7d 5c 22 20 73 74 61 72 70 61 63 6b 2e 76 66  E}\" starpack.vf
14c0: 73 20 5c 22 24 7b 45 4e 41 42 4c 45 43 4f 4d 50  s \"${ENABLECOMP
14d0: 52 45 53 53 49 4f 4e 7d 5c 22 20 5c 22 24 7b 4b  RESSION}\" \"${K
14e0: 49 54 54 41 52 47 45 54 5f 4e 41 4d 45 7d 2e 6e  ITTARGET_NAME}.n
14f0: 65 77 5c 22 22 0a 09 09 22 24 7b 54 43 4c 4b 49  ew\""..."${TCLKI
1500: 54 7d 22 20 69 6e 73 74 61 6c 6c 76 66 73 2e 74  T}" installvfs.t
1510: 63 6c 20 22 24 7b 4b 49 54 54 41 52 47 45 54 5f  cl "${KITTARGET_
1520: 4e 41 4d 45 7d 22 20 73 74 61 72 70 61 63 6b 2e  NAME}" starpack.
1530: 76 66 73 20 22 24 7b 45 4e 41 42 4c 45 43 4f 4d  vfs "${ENABLECOM
1540: 50 52 45 53 53 49 4f 4e 7d 22 20 22 24 7b 4b 49  PRESSION}" "${KI
1550: 54 54 41 52 47 45 54 5f 4e 41 4d 45 7d 2e 6e 65  TTARGET_NAME}.ne
1560: 77 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 65 6c  w" || exit 1..el
1570: 73 65 0a 09 09 69 66 20 65 63 68 6f 20 27 65 78  se...if echo 'ex
1580: 69 74 20 30 27 20 7c 20 22 24 7b 4b 49 54 54 41  it 0' | "${KITTA
1590: 52 47 45 54 5f 4e 41 4d 45 7d 22 20 3e 2f 64 65  RGET_NAME}" >/de
15a0: 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75  v/null 2>/dev/nu
15b0: 6c 6c 3b 20 74 68 65 6e 0a 09 09 09 23 23 20 42  ll; then....## B
15c0: 6f 6f 74 73 74 72 61 70 20 28 63 61 6e 6e 6f 74  ootstrap (cannot
15d0: 20 63 72 6f 73 73 2d 63 6f 6d 70 69 6c 65 29 0a   cross-compile).
15e0: 09 09 09 23 23 23 20 43 61 6c 6c 20 69 6e 73 74  ...### Call inst
15f0: 61 6c 6c 65 72 0a 09 09 09 65 63 68 6f 20 22 73  aller....echo "s
1600: 65 74 20 61 72 67 76 20 5b 6c 69 73 74 20 7b 24  et argv [list {$
1610: 7b 4b 49 54 54 41 52 47 45 54 5f 4e 41 4d 45 7d  {KITTARGET_NAME}
1620: 7d 20 73 74 61 72 70 61 63 6b 2e 76 66 73 20 7b  } starpack.vfs {
1630: 24 7b 45 4e 41 42 4c 45 43 4f 4d 50 52 45 53 53  ${ENABLECOMPRESS
1640: 49 4f 4e 7d 7d 20 7b 24 7b 4b 49 54 54 41 52 47  ION}} {${KITTARG
1650: 45 54 5f 4e 41 4d 45 7d 2e 6e 65 77 7d 5d 22 20  ET_NAME}.new}]" 
1660: 3e 20 73 65 74 75 70 2e 74 63 6c 0a 09 09 09 65  > setup.tcl....e
1670: 63 68 6f 20 27 69 66 20 7b 5b 63 61 74 63 68 20  cho 'if {[catch 
1680: 7b 20 63 6c 6f 63 6b 20 73 65 63 6f 6e 64 73 20  { clock seconds 
1690: 7d 5d 7d 20 7b 20 70 72 6f 63 20 63 6c 6f 63 6b  }]} { proc clock
16a0: 20 61 72 67 73 20 7b 20 72 65 74 75 72 6e 20 30   args { return 0
16b0: 20 7d 20 7d 27 20 3e 3e 20 73 65 74 75 70 2e 74   } }' >> setup.t
16c0: 63 6c 0a 09 09 09 65 63 68 6f 20 27 73 6f 75 72  cl....echo 'sour
16d0: 63 65 20 69 6e 73 74 61 6c 6c 76 66 73 2e 74 63  ce installvfs.tc
16e0: 6c 27 20 3e 3e 20 73 65 74 75 70 2e 74 63 6c 0a  l' >> setup.tcl.
16f0: 0a 09 09 09 65 63 68 6f 20 27 52 75 6e 6e 69 6e  ....echo 'Runnin
1700: 67 3a 20 65 63 68 6f 20 7c 20 5c 22 24 7b 4b 49  g: echo | \"${KI
1710: 54 54 41 52 47 45 54 5f 4e 41 4d 45 7d 5c 22 20  TTARGET_NAME}\" 
1720: 73 65 74 75 70 2e 74 63 6c 27 0a 09 09 09 65 63  setup.tcl'....ec
1730: 68 6f 20 7c 20 22 24 7b 4b 49 54 54 41 52 47 45  ho | "${KITTARGE
1740: 54 5f 4e 41 4d 45 7d 22 20 73 65 74 75 70 2e 74  T_NAME}" setup.t
1750: 63 6c 20 7c 7c 20 65 78 69 74 20 31 0a 09 09 65  cl || exit 1...e
1760: 6c 73 65 0a 09 09 09 23 23 20 49 6e 73 74 61 6c  lse....## Instal
1770: 6c 20 75 73 69 6e 67 20 54 63 6c 73 68 2c 20 77  l using Tclsh, w
1780: 68 69 63 68 20 6d 61 79 20 77 6f 72 6b 20 69 66  hich may work if
1790: 20 77 65 27 72 65 20 6e 6f 74 20 75 73 69 6e 67   we're not using
17a0: 20 4d 65 74 61 6b 69 74 0a 09 09 09 23 23 23 20   Metakit....### 
17b0: 43 61 6c 6c 20 69 6e 73 74 61 6c 6c 65 72 0a 09  Call installer..
17c0: 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a  ..echo "Running:
17d0: 20 5c 22 24 7b 54 43 4c 53 48 5f 4e 41 54 49 56   \"${TCLSH_NATIV
17e0: 45 7d 5c 22 20 69 6e 73 74 61 6c 6c 76 66 73 2e  E}\" installvfs.
17f0: 74 63 6c 20 5c 22 24 7b 4b 49 54 54 41 52 47 45  tcl \"${KITTARGE
1800: 54 5f 4e 41 4d 45 7d 5c 22 20 73 74 61 72 70 61  T_NAME}\" starpa
1810: 63 6b 2e 76 66 73 20 5c 22 24 7b 45 4e 41 42 4c  ck.vfs \"${ENABL
1820: 45 43 4f 4d 50 52 45 53 53 49 4f 4e 7d 5c 22 20  ECOMPRESSION}\" 
1830: 5c 22 24 7b 4b 49 54 54 41 52 47 45 54 5f 4e 41  \"${KITTARGET_NA
1840: 4d 45 7d 2e 6e 65 77 5c 22 22 0a 09 09 09 22 24  ME}.new\""...."$
1850: 7b 54 43 4c 53 48 5f 4e 41 54 49 56 45 7d 22 20  {TCLSH_NATIVE}" 
1860: 69 6e 73 74 61 6c 6c 76 66 73 2e 74 63 6c 20 22  installvfs.tcl "
1870: 24 7b 4b 49 54 54 41 52 47 45 54 5f 4e 41 4d 45  ${KITTARGET_NAME
1880: 7d 22 20 73 74 61 72 70 61 63 6b 2e 76 66 73 20  }" starpack.vfs 
1890: 22 24 7b 45 4e 41 42 4c 45 43 4f 4d 50 52 45 53  "${ENABLECOMPRES
18a0: 53 49 4f 4e 7d 22 20 22 24 7b 4b 49 54 54 41 52  SION}" "${KITTAR
18b0: 47 45 54 5f 4e 41 4d 45 7d 2e 6e 65 77 22 20 7c  GET_NAME}.new" |
18c0: 7c 20 65 78 69 74 20 31 0a 09 09 66 69 0a 09 66  | exit 1...fi..f
18d0: 69 0a 0a 09 63 70 20 22 24 7b 4b 49 54 54 41 52  i...cp "${KITTAR
18e0: 47 45 54 5f 4e 41 4d 45 7d 2e 6e 65 77 22 20 22  GET_NAME}.new" "
18f0: 24 7b 4b 49 54 54 41 52 47 45 54 5f 4e 41 4d 45  ${KITTARGET_NAME
1900: 7d 22 0a 09 72 6d 20 2d 66 20 22 24 7b 4b 49 54  }"..rm -f "${KIT
1910: 54 41 52 47 45 54 5f 4e 41 4d 45 7d 2e 6e 65 77  TARGET_NAME}.new
1920: 22 0a 0a 09 23 20 43 6c 65 61 6e 75 70 0a 09 69  "...# Cleanup..i
1930: 66 20 5b 20 22 24 7b 4b 49 54 54 41 52 47 45 54  f [ "${KITTARGET
1940: 7d 22 20 3d 20 22 6b 69 74 64 6c 6c 22 20 5d 3b  }" = "kitdll" ];
1950: 20 74 68 65 6e 0a 09 09 23 23 20 52 65 6d 6f 76   then...## Remov
1960: 65 20 62 75 69 6c 74 20 69 6e 74 65 72 70 72 65  e built interpre
1970: 74 65 72 73 20 69 66 20 77 65 20 61 72 65 20 62  ters if we are b
1980: 75 69 6c 64 69 6e 67 20 4b 69 74 44 4c 4c 20 2d  uilding KitDLL -
1990: 2d 0a 09 09 23 23 20 74 68 65 79 27 72 65 20 6a  -...## they're j
19a0: 75 73 74 20 74 69 6e 79 20 73 74 75 62 73 20 61  ust tiny stubs a
19b0: 6e 79 77 61 79 0a 09 09 72 6d 20 2d 66 20 6b 69  nyway...rm -f ki
19c0: 74 20 6b 69 74 2e 65 78 65 0a 09 66 69 0a 0a 09  t kit.exe..fi...
19d0: 65 78 69 74 20 30 0a 29 20 7c 7c 20 65 78 69 74  exit 0.) || exit
19e0: 20 31 0a 0a 65 78 69 74 20 30 0a                  1..exit 0.